Bug 1573168

Summary: Feh tool fails to open .svg files.
Product: [Fedora] Fedora Reporter: ricky.tigg
Component: fehAssignee: Ben Boeckel <fedora>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: fedora, ivazqueznet, me
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 19:58:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description ricky.tigg 2018-04-30 11:56:35 UTC
Description of problem: Tool fails to open .svg files. 
Version-Release number of component: feh.x86_64 2.19.3-2.fc28

Steps to Reproduce in terminal:
1. # systemd-analyze plot > /home/user_name/systemd-analyze.svg
2. $ feh systemd-analyze.svg
feh WARNING: systemd-analyze.svg - No Imlib2 loader for that file format
feh: No loadable images specified.
See 'man feh' for detailed usage information

Actual results: Message error.
Expected results: Support for .svf format.
Are installed: imlib2.x86_64 1.4.9-6.fc28, ImageMagick.x86_64 1:6.9.9.38-1.fc28.

Comment 1 Ben Cotton 2019-05-02 21:53:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 19:58:23 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Ben Boeckel 2019-10-24 03:09:40 UTC
Note that svg files are vector images and are very different from png and jpeg images (which are raster images). Vector support would need to be added upstream first (which I highly doubt would be supported). The best vector image viewers are likely to be your web browser or a dedicated tool like Inkscape.

Comment 4 ricky.tigg 2019-10-24 07:55:45 UTC
That's worth knowing. Firefox and Inkscape have good licenses. All good.